# QVM: Quaternions, Vectors, Matrices

### cmp(mat,mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value && is_mat<B>::value &&
            //  mat_traits<A>::rows==mat_traits<B>::rows &&
            //  mat_traits<A>::cols==mat_traits<B>::cols
            template <class A,class B,class Cmp>
            bool cmp( A const & a, B const & b, Cmp pred );
        }
    }

#### Returns:

Similar to operator==, except that the individual elements of a and b are passed to the binary predicate pred for comparison.

See also: boost/qvm/mat_operations.hpp | cmp(vec,vec)